Extending Qt Creator Manual | IEditorFactory

Extending Qt Creator Manual 4.5.2

# IEditorFactory Class

(Core::IEditorFactory)

- List of all members, including inherited members

## Public Functions

| IEditorFactory(QObject *parent = 0)
void | addMimeType(const char *mimeType)
void | addMimeType(const QString &mimeType)
virtual IEditor * | createEditor() = 0
QString | displayName() const
Id | id() const
QStringList | mimeTypes() const
void | setDisplayName(const QString &displayName)
void | setId(Id id)
void | setMimeTypes(const QStringList &mimeTypes)

## Member Function Documentation

### IEditorFactory::IEditorFactory(QObject *parent = 0)

Default constructs an instance of IEditorFactory.

### void IEditorFactory::addMimeType(const char *mimeType)

### void IEditorFactory::addMimeType(const QString &mimeType)

### `[pure virtual]` IEditor *IEditorFactory::createEditor()

### QString IEditorFactory::displayName() const

See also setDisplayName().

### Id IEditorFactory::id() const

See also setId().

### QStringList IEditorFactory::mimeTypes() const

See also setMimeTypes().

### void IEditorFactory::setDisplayName(const QString &displayName)

See also displayName().

### void IEditorFactory::setId(Id id)

See also id().

### void IEditorFactory::setMimeTypes(const QStringList &mimeTypes)

See also mimeTypes().